#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           kaidan
Version:        0.11.0
Release:        %mkrel 1
Summary:        A user-friendly XMPP client for every device
License:        GPLv3+ with OpenSSL exception and MIT and CC-BY-SA-3.0
Group:          Graphical desktop/KDE
URL:            https://www.kaidan.im/
#Source0:        https://download.kde.org/unstable/kaidan/%%{name}-%%{version}.tar.xz
Source0:        https://invent.kde.org/network/kaidan/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Positioning)
BuildRequires:  cmake(Qt6Location)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Prison)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6QQC2DesktopStyle)

BuildRequires:  pkgconfig(QXmppQt6)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       kquickimageeditor

%description
Kaidan is a simple, user-friendly Jabber/XMPP client providing a modern user
interface using Kirigami and QtQuick. The back-end of Kaidan is
written in C++ using the QXmpp XMPP client library and Qt5.

%files -f %{name}.lang
%doc NEWS.md README.md
%license LICENSES/*
%{_kf6_categoriesdir}/kaidan.categories
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/%{name}/
%{_kf6_applicationsdir}/im.kaidan.kaidan.desktop
%{_kf6_metainfodir}/im.kaidan.kaidan.appdata.xml
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.svg

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt


%changelog
* Sat Feb 15 2025 daviddavid <daviddavid> 0.11.0-1.mga10
+ Revision: 2148945
- new version: 0.11.0
- switch to Qt6/KF6

* Fri Sep 01 2023 daviddavid <daviddavid> 0.9.1-2.mga10
+ Revision: 1983065
- rebuild for new zxing-cpp 2.1.0

* Sun Jun 11 2023 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1961622
- new version: 0.9.1
- rebuild for new qxmpp

* Mon Dec 26 2022 wally <wally> 0.8.0-1.mga9
+ Revision: 1926962
- new version 0.8.0
- rebuild for zxing-cpp with bumped lib major

* Wed Apr 06 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1846202
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1658621
- Rebuild for new Qt5

* Sun Aug 30 2020 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1620150
- new version: 0.6.0

* Thu May 28 2020 daviddavid <daviddavid> 0.5.0-2.mga8
+ Revision: 1588467
- switch appdata file to kf5_metainfo dir

* Mon Apr 06 2020 daviddavid <daviddavid> 0.5.0-1.mga8
+ Revision: 1565087
- new version: 0.5.0
- remove merged upstream patch

* Fri Feb 21 2020 daviddavid <daviddavid> 0.4.1-6.mga8
+ Revision: 1548339
- rebuild for new qxmpp 1.2.0

* Mon Feb 17 2020 umeabot <umeabot> 0.4.1-5.mga8
+ Revision: 1537112
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Oct 25 2019 daviddavid <daviddavid> 0.4.1-4.mga8
+ Revision: 1455798
- rebuild for new qxmpp 1.1.0

* Sun Oct 20 2019 daviddavid <daviddavid> 0.4.1-3.mga8
+ Revision: 1454686
- add upstream patch to fix build with QXmpp 1.0.1
- rebuild for new qxmpp 1.0.1

* Sat Jul 27 2019 daviddavid <daviddavid> 0.4.1-2.mga8
+ Revision: 1424467
- rebuild for arm

* Fri Jul 26 2019 daviddavid <daviddavid> 0.4.1-1.mga8
+ Revision: 1424365
- initial package kaidan

